package com.muyu.rule.server.basic.engine.value;

import com.muyu.rule.common.domain.DataValue;
import com.muyu.rule.common.utils.Desensitization;
import com.muyu.rule.server.basic.abstracts.DataEngineValueActuator;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.server.basic.engine
 * @Project：cloud-etl-rule
 * @name：ENGINE_VALUE_VFD1000_V1
 * @Date：2024/8/29 15:51
 */
public class ENGINE_VALUE_VFD1000_V2 extends DataEngineValueActuator {
    @Override
    public void run() {
        DataValue dataValue = get();

        String string = Desensitization.mobilePhoneDesensitization((String) dataValue.getValue());
            System.out.println("手机号脱敏的结果是====>"+string);
    }
}
